/*
 * sta_ratings.h - header file for STA ratings related functions.
 *
 * Copyright (C) 2025 Genexis AB.
 *
 * Author: anjan.chanda@iopsys.eu
 * See LICENSE file for license related information.
 */

#ifndef DECOLLECTOR_STA_RATINGS_H
#define DECOLLECTOR_STA_RATINGS_H

#include "wifi_dataelements.h"

int sta_ratings_init(void **ctx, uint8_t *sta_macaddr);
void sta_ratings_free(void *ctx);

float sta_ratings_calculate(void *ctx, struct wifi_network_device *dev, uint8_t *sta_macaddr);

#endif /* DECOLLECTOR_STA_RATINGS_H */
